MediaWiki:Common.css

From Knightspire Wiki
Revision as of 00:35, 17 May 2026 by Scarlet (talk | contribs) (Undo revision 265 by Scarlet (talk))
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigationJump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* CSS placed here will be applied to all skins */

.infobox {
    float: right;
    clear: right;

    width: 22em;

    margin: 0 0 1em 1em;

    border: 1px solid #a2a9b1;
    border-collapse: collapse;

    background: #f8f9fa;
    color: #202122;

    font-size: 88%;
    line-height: 1.5;
}

.infobox th,
.infobox td {
    border: 1px solid #a2a9b1;
    padding: 0.4em 0.6em;
    vertical-align: top;
}

.infobox th {
    background-color: #eaecf0;
    text-align: left;
    font-weight: bold;
}

.infobox-header {
    text-align: center !important;
    font-size: 125%;
    font-weight: bold;
}

.infobox-image {
    text-align: center;
    background: #ffffff;
}

.infobox-caption {
    font-size: 90%;
    color: #54595d;
    margin-top: 0.3em;
}

.infobox-subheader {
    text-align: center !important;
    background-color: #eaecf0;
    font-style: italic;
}

.infobox-battle {
    float: right;
    clear: right;
    width: 23em;

    margin: 0 0 1em 1em;

    border: 1px solid #a2a9b1;
    border-collapse: collapse;

    background: #f8f9fa;
    color: #202122;

    font-size: 88%;
    line-height: 1.4;
}

.infobox-battle th,
.infobox-battle td {
    border: 1px solid #a2a9b1;
    padding: 0.4em 0.6em;
    vertical-align: top;
}

.infobox-battle th {
    background-color: #eaecf0;
    text-align: left;
    font-weight: bold;
}

.infobox-battle .header {
    text-align: center;
    font-size: 125%;
    font-weight: bold;
    background-color: #eaecf0;
}

.infobox-battle .center-section td {
    text-align: center;
}


/* Ambox Stuff */
.ambox {
    border: 1px solid #a2a9b1;
    border-left-width: 10px;
    background: #f8f9fa;
    padding: 12px;
    margin: 1em 0;
    border-radius: 4px;
    font-size: 95%;
}

.ambox-text {
    line-height: 1.5;
}

/* Types */

.ambox-notice {
    border-left-color: #36c;
}

.ambox-warning {
    border-left-color: #d33;
    background: #fff5f5;
}

.ambox-content {
    border-left-color: #f0ad4e;
    background: #fffaf3;
}

.ambox-success {
    border-left-color: #14866d;
    background: #f3fff9;
}